Ticket #248 (closed bug: fixed)

Opened 11 years ago

Last modified 11 years ago

ffado-dbus-server throws error every time i insert Konnekt 8

Reported by: fuxter Assigned to:
Priority: major Milestone:
Component: Version: FFADO SVN (trunk)
Keywords: Cc:
The device the bug applies to:

Description

i'm sorry in advance if i sound stupid, but i am total noob here. * so i get latest 2.0 tar package * i did "scons PREFIX=/usr ENABLE_DICE=True" and then "sudo scons install" * i had to "sudo modprobe raw1394" and change permissions for /dev/raw1394 * ffado-diag reports: [PASS] Kernel modules present and correctly loaded. [PASS] /dev/raw1394 node present and accessible. * but every time ffado-dbus-server give me: Discovering devices... 01055415938: Error (ieee1394service.cpp)[ 702] doFcpTransaction: FCP transaction didn't succeed in 20 tries 01055415998: Warning (ieee1394service.cpp)[ 677] transactionBlock: FCP transaction failed 01055416017: Error (bebob_avdevice.cpp)[ 96] probe: Number of channels command failed 01055655529: Error (ieee1394service.cpp)[ 702] doFcpTransaction: FCP transaction didn't succeed in 20 tries 01055655563: Warning (ieee1394service.cpp)[ 677] transactionBlock: FCP transaction failed 01055895558: Error (ieee1394service.cpp)[ 702] doFcpTransaction: FCP transaction didn't succeed in 20 tries 01055895591: Warning (ieee1394service.cpp)[ 677] transactionBlock: FCP transaction failed 01055895616: Error (avc_avdevice.cpp)[ 88] probe: Subunit info command failed

Starting DBUS service... Running... (press ctrl-c to stop & exit)

is it something i stupidly miss or is it the case with new kernel and firewire stack? i just didn't understand all that stuff, sorry.

attached ffado-diag report as advised

again sorry for my russian. please, let me know if i can provide more info or try something else to do.

Attachments

ffado-diag-report.txt (7.2 kB) - added by fuxter on 01/04/10 04:48:47.

Change History

01/04/10 04:48:47 changed by fuxter

  • attachment ffado-diag-report.txt added.

01/04/10 05:36:29 changed by adi

  • status changed from new to closed.
  • resolution set to invalid.

The DICE code is only present in the SVN trunk, not in the 2.0.0 tarball. Check out trunk, and it should work. Also note that DICE is enabled by default, no need for ENABLE_DICE=1 anymore.

HTH

01/04/10 06:07:34 changed by fuxter

hey adi,

thank you very much for clarifications. i knew i missed something important there.

i checked out, compiled and installed. now when i try to run jackd it says something new:

$ jackd -R -d firewire no message buffer overruns jackd 0.116.1 Copyright 2001-2005 Paul Davis and others. jackd comes with ABSOLUTELY NO WARRANTY This is free software, and you are welcome to redistribute it under certain conditions; see the file COPYING for details

JACK compiled with System V SHM support. loading driver .. 03013748044: (ffado.cpp)[ 92] ffado_streaming_init: libffado 2.999.0-1776 built Jan 4 2010 16:36:57 03014057346: Error (dice_eap.cpp)[ 110] init: Device does not support EAPfirewire ERR: Error creating FFADO streaming device cannot load driver module firewire no message buffer overruns

the funny thing is that just two months ago i managed to set it up and even make some recordings with rc2.

01/04/10 06:43:55 changed by arnonym

  • status changed from closed to reopened.
  • version changed from FFADO 2.0.0 to FFADO SVN (trunk).
  • resolution deleted.
  • milestone deleted.

Hi fuxter,

can you please provide the full output of "jackd -R -dfirewire -v6"?

Also: are you sure you did compile ffado correctly? ffado-diag says that libavc1394 was missing at compile time. And make sure that jackd is really using the new ffado version. Best by compiling jackd yourself...

01/06/10 06:03:34 changed by fuxter

hi arnonym, sorry couldn't reply earlier.

you're right, i didn't have libavc1394-dev installed. so i installed it, did a fresh check out from http://subversion.ffado.org/ffado/trunk; then i compiled it and installed. then i checked out latest jackd sources and installed it. i mad sure i had firewire support when configuring jack.

so here's "" output: $ jackd -R -dfirewire -v6 jackd 0.118.2 Copyright 2001-2009 Paul Davis, Stephane Letz, Jack O'Quinn, Torben Hohn and others. jackd comes with ABSOLUTELY NO WARRANTY This is free software, and you are welcome to redistribute it under certain conditions; see the file COPYING for details

Memory locking is unlimited - this is dangerous. You should probably alter the line:

@audio - memlock unlimited

in your /etc/limits.conf to read:

@audio - memlock 738600

no message buffer overruns JACK compiled with System V SHM support. loading driver .. 00510830757: (ffado.cpp)[ 92] ffado_streaming_init: libffado 2.999.0-1776 built Jan 4 2010 17:47:47 00510830875: Debug (Element.cpp)[ 129] setVerboseLevel: Setting verbose level to 6... 00510830888: Debug (StreamProcessorManager?.cpp)[1569] setVerboseLevel: Setting verbose level to 6... 00510830899: Debug (devicemanager.cpp)[1260] setVerboseLevel: Setting verbose level to 6... 00510830906: Debug (ffado.cpp)[ 119] ffado_streaming_init: Starting with realtime scheduling, base priority 10 00510830916: Debug (DeviceStringParser?.cpp)[ 284] isValidString: isvalid? hw:0 00510830930: Debug (devicemanager.cpp)[ 233] addSpecString: Adding spec string hw:0 00510830939: Debug (DeviceStringParser?.cpp)[ 253] parseString: parse: hw:0 00510830945: Debug (DeviceStringParser?.cpp)[ 258] parseString: left: hw:0 00510830953: Debug (DeviceStringParser?.cpp)[ 56] parse: parse: hw:0 00510830973: Debug (ffado.cpp)[ 148] ffado_streaming_init: setting slave mode to 0 00510830988: Debug (ffado.cpp)[ 154] ffado_streaming_init: setting snoop mode to 0 00510831109: Debug (Configuration.cpp)[ 63] openFile: Could not open file: ~/.ffado/configuration 00510831948: Debug (devicemanager.cpp)[ 194] initialize: Found 1 firewire adapters (ports) 00510831980: Debug (IsoHandlerManager?.cpp)[1143] setVerboseLevel: Setting verbose level to 6... 00510831988: Debug (ieee1394service.cpp)[1567] setVerboseLevel: Setting verbose level to 6... 00510832002: Debug (ieee1394service.cpp)[ 422] setThreadParameters: Switching IsoManager? to (rt=1, prio=10) 00510832017: Debug (IsoHandlerManager?.cpp)[ 528] setThreadParameters: (0x9b3ec68) switch to: (rt=1, prio=10)... 00510832054: Debug (Configuration.cpp)[ 307] getSetting: temporary has no setting ieee1394.isomanager.prio_increase 00510832086: Debug (Configuration.cpp)[ 307] getSetting: /usr/share/libffado/configuration has no setting ieee1394.isomanager.prio_increase 00510832096: Debug (Configuration.cpp)[ 247] getValueForSetting: path 'ieee1394.isomanager.prio_increase' not found 00510832125: Debug (Configuration.cpp)[ 307] getSetting: temporary has no setting ieee1394.isomanager.prio_increase_xmit 00510832154: Debug (Configuration.cpp)[ 307] getSetting: /usr/share/libffado/configuration has no setting ieee1394.isomanager.prio_increase_xmit 00510832164: Debug (Configuration.cpp)[ 247] getValueForSetting: path 'ieee1394.isomanager.prio_increase_xmit' not found 00510832192: Debug (Configuration.cpp)[ 307] getSetting: temporary has no setting ieee1394.isomanager.prio_increase_recv 00510832227: Debug (Configuration.cpp)[ 307] getSetting: /usr/share/libffado/configuration has no setting ieee1394.isomanager.prio_increase_recv 00510832242: Debug (Configuration.cpp)[ 247] getValueForSetting: path 'ieee1394.isomanager.prio_increase_recv' not found 00510832249: Debug (ieee1394service.cpp)[ 428] setThreadParameters: Switching CycleTimerHelper? to (rt=1, prio=1) 00510832258: Debug (CycleTimerHelper?.cpp)[ 231] setThreadParameters: (0x9b3eca8) switch to: (rt=1, prio=1)... 00510832282: Debug (Watchdog.cpp)[ 200] start: (0x9b61820) Starting watchdog... 00510832291: Debug (Watchdog.cpp)[ 201] start: Create hartbeat task/thread for 0x9b61820... 00510832301: Debug (Watchdog.cpp)[ 215] start: hartbeat task: 0x9b65a78, thread 0x9b61870... 00510832307: Debug (Watchdog.cpp)[ 217] start: Create check task/thread for 0x9b61820... 00510832315: Debug (Watchdog.cpp)[ 231] start: check task: 0x9b618c0, thread 0x9b618f8... 00510846353: Debug (Watchdog.cpp)[ 249] start: (0x9b61820) Watchdog running... 00510870612: Debug (ieee1394service.cpp)[ 331] initialize: This system supports the raw1394_read_cycle_timer call, using it. 00510870779: Debug (Configuration.cpp)[ 307] getSetting: temporary has no setting ieee1394.min_split_timeout_usecs 00510870814: Debug (Configuration.cpp)[ 307] getSetting: /usr/share/libffado/configuration has no setting ieee1394.min_split_timeout_usecs 00510870825: Debug (Configuration.cpp)[ 247] getValueForSetting: path 'ieee1394.min_split_timeout_usecs' not found 00510870836: Debug (ieee1394service.cpp)[ 964] getSplitTimeoutUsecs: reading SPLIT_TIMEOUT on node 0x1... 00510870871: Debug (ieee1394service.cpp)[ 971] getSplitTimeoutUsecs: READ HI: 0x01000000 00510870891: Debug (ieee1394service.cpp)[ 978] getSplitTimeoutUsecs: READ LO: 0x00000000 00510870901: Debug (ieee1394service.cpp)[ 372] initialize: Minimum SPLIT_TIMEOUT: 1000000. Current: 1000000 00510870911: Debug (CycleTimerHelper?.cpp)[ 116] Start: Start 0x9b3eca8... 00510870920: Debug (CycleTimerHelper?.cpp)[ 149] initValues: (0x9b3eca8) Init values... 00510870927: Debug (CycleTimerHelper?.cpp)[ 156] initValues: Read CTR... 00510870938: Debug (CycleTimerHelper?.cpp)[ 167] initValues: read : CTR: 4199815128, local: 1262786163234790 00510870949: Debug (CycleTimerHelper?.cpp)[ 173] initValues: ctr : 0xFA5417D8 3076133848 (125s 1345cy 2008ticks) 00510870957: Debug (CycleTimerHelper?.cpp)[ 179] initValues: requesting DLL re-init... 00510872059: Debug (CycleTimerHelper?.cpp)[ 308] initDLL: (0x9b3eca8) First run 00510872080: Debug (CycleTimerHelper?.cpp)[ 310] initDLL: DLL bandwidth: 0.500000 Hz (rel: 0.100000) 00510872097: Debug (CycleTimerHelper?.cpp)[ 313] initDLL: usecs/update: 200000, ticks/update: 4915200, m_dll_e2: 4915200.000000 00510872109: Debug (CycleTimerHelper?.cpp)[ 316] initDLL: usecs current: 1262786163235908.000000, next: 1262786163435908.000000 00510872123: Debug (CycleTimerHelper?.cpp)[ 319] initDLL: ticks current: 3076161335.000000, next: 3081076535.000000 00510872135: Debug (CycleTimerHelper?.cpp)[ 188] initValues: ready... 00510872149: Debug (Watchdog.cpp)[ 281] registerThread: (0x9b61820) Adding thread 0x9b63f00 00510879649: Debug (CycleTimerHelper?.cpp)[ 195] Init: Initialize 0x9b3eca8... 00510879699: Debug (ieee1394service.cpp)[1225] addBusResetHandler: Adding busreset handler (0x9b63fe8) 00510879755: Debug (CycleTimerHelper?.cpp)[ 393] Execute: (0x9b3eca8) have to retry CTR read, diff unrealistic: diff: -69377616, max: +/- 3072 (try: 10) 0 00510879785: Debug (IsoHandlerManager?.cpp)[1143] setVerboseLevel: Setting verbose level to 6... 00510879796: Debug (IsoHandlerManager?.cpp)[ 569] init: Initializing ISO manager 0x9b3ec68... 00510879848: Debug (CycleTimerHelper?.cpp)[ 308] initDLL: (0x9b3eca8) First run 00510879858: Debug (CycleTimerHelper?.cpp)[ 310] initDLL: DLL bandwidth: 0.500000 Hz (rel: 0.100000) 00510879876: Debug (CycleTimerHelper?.cpp)[ 313] initDLL: usecs/update: 200000, ticks/update: 4915200, m_dll_e2: 4915200.000000 00510879888: Debug (CycleTimerHelper?.cpp)[ 316] initDLL: usecs current: 1262786163243699.000000, next: 1262786163443699.000000 00510879903: Debug (CycleTimerHelper?.cpp)[ 319] initDLL: ticks current: 3076352779.000000, next: 3081267979.000000 00510879997: Debug (Configuration.cpp)[ 307] getSetting: temporary has no setting ieee1394.isomanager.prio_increase 00510880035: Debug (Configuration.cpp)[ 307] getSetting: /usr/share/libffado/configuration has no setting ieee1394.isomanager.prio_increase 00510880046: Debug (Configuration.cpp)[ 247] getValueForSetting: path 'ieee1394.isomanager.prio_increase' not found 00510880075: Debug (Configuration.cpp)[ 307] getSetting: temporary has no setting ieee1394.isomanager.prio_increase_xmit 00510880105: Debug (Configuration.cpp)[ 307] getSetting: /usr/share/libffado/configuration has no setting ieee1394.isomanager.prio_increase_xmit 00510880115: Debug (Configuration.cpp)[ 247] getValueForSetting: path 'ieee1394.isomanager.prio_increase_xmit' not found 00510880143: Debug (Configuration.cpp)[ 307] getSetting: temporary has no setting ieee1394.isomanager.prio_increase_recv 00510880174: Debug (Configuration.cpp)[ 307] getSetting: /usr/share/libffado/configuration has no setting ieee1394.isomanager.prio_increase_recv 00510880185: Debug (Configuration.cpp)[ 247] getValueForSetting: path 'ieee1394.isomanager.prio_increase_recv' not found 00510880213: Debug (Configuration.cpp)[ 307] getSetting: temporary has no setting ieee1394.isomanager.isotask_activity_timeout_usecs 00510880243: Debug (Configuration.cpp)[ 307] getSetting: /usr/share/libffado/configuration has no setting ieee1394.isomanager.isotask_activity_timeout_usecs 00510880253: Debug (Configuration.cpp)[ 268] getValueForSetting: path 'ieee1394.isomanager.isotask_activity_timeout_usecs' not found 00510880260: Debug (IsoHandlerManager?.cpp)[ 590] init: Create iso thread for 0x9b3ec68 transmit... 00510880269: Debug (IsoHandlerManager?.cpp)[ 445] setVerboseLevel: Setting verbose level to 6... 00510880285: Debug (Thread.h)[ 124] setVerboseLevel: (ISOXMT) Setting verbose level to 6... 00510880294: Debug (IsoHandlerManager?.cpp)[ 609] init: Create iso thread for 0x9b3ec68 receive... 00510880301: Debug (IsoHandlerManager?.cpp)[ 445] setVerboseLevel: Setting verbose level to 6... 00510880311: Debug (Thread.h)[ 124] setVerboseLevel: (ISORCV) Setting verbose level to 6... 00510880321: Debug (Watchdog.cpp)[ 281] registerThread: (0x9b61820) Adding thread 0x9b64180 00510880337: Debug (Watchdog.cpp)[ 281] registerThread: (0x9b61820) Adding thread 0x9b642f0 00510880347: Debug (PosixThread?.cpp)[ 101] Start: (ISOXMT) Create RT thread 0x9b64180 with priority 11 00510888318: Debug (PosixThread?.cpp)[ 78] ThreadHandler?: (ISOXMT) ThreadHandler?: start 0x9b64180 00510888366: Debug (PosixThread?.cpp)[ 101] Start: (ISORCV) Create RT thread 0x9b642f0 with priority 9 00510896223: Debug (PosixThread?.cpp)[ 78] ThreadHandler?: (ISORCV) ThreadHandler?: start 0x9b642f0 00510896270: Debug (ieee1394service.cpp)[ 422] setThreadParameters: Switching IsoManager? to (rt=1, prio=10) 00510896282: Debug (IsoHandlerManager?.cpp)[ 528] setThreadParameters: (0x9b3ec68) switch to: (rt=1, prio=10)... 00510896365: Debug (Configuration.cpp)[ 307] getSetting: temporary has no setting ieee1394.isomanager.prio_increase 00510896398: Debug (Configuration.cpp)[ 307] getSetting: /usr/share/libffado/configuration has no setting ieee1394.isomanager.prio_increase 00510896409: Debug (Configuration.cpp)[ 247] getValueForSetting: path 'ieee1394.isomanager.prio_increase' not found 00510896438: Debug (Configuration.cpp)[ 307] getSetting: temporary has no setting ieee1394.isomanager.prio_increase_xmit 00510896467: Debug (Configuration.cpp)[ 307] getSetting: /usr/share/libffado/configuration has no setting ieee1394.isomanager.prio_increase_xmit 00510896477: Debug (Configuration.cpp)[ 247] getValueForSetting: path 'ieee1394.isomanager.prio_increase_xmit' not found 00510896505: Debug (Configuration.cpp)[ 307] getSetting: temporary has no setting ieee1394.isomanager.prio_increase_recv 00510896535: Debug (Configuration.cpp)[ 307] getSetting: /usr/share/libffado/configuration has no setting ieee1394.isomanager.prio_increase_recv 00510896545: Debug (Configuration.cpp)[ 247] getValueForSetting: path 'ieee1394.isomanager.prio_increase_recv' not found 00510896553: Debug (PosixThread?.cpp)[ 208] AcquireRealTime?: (ISOXMT, 0x9b64180) Aquire realtime, prio 11 00510896566: Debug (PosixThread?.cpp)[ 208] AcquireRealTime?: (ISORCV, 0x9b642f0) Aquire realtime, prio 9 00510896576: Debug (ieee1394service.cpp)[ 428] setThreadParameters: Switching CycleTimerHelper? to (rt=1, prio=1) 00510896584: Debug (CycleTimerHelper?.cpp)[ 231] setThreadParameters: (0x9b3eca8) switch to: (rt=1, prio=1)... 00510896593: Debug (PosixThread?.cpp)[ 208] AcquireRealTime?: (CTRHLP, 0x9b63f00) Aquire realtime, prio 1 00510896602: Debug (ieee1394service.cpp)[1666] setThreadParameters: (0x9b63c28) switch to: (rt=1, prio=10)... 00510896611: Debug (PosixThread?.cpp)[ 208] AcquireRealTime?: (ARMRT, 0x9b63c48) Aquire realtime, prio 10 00510896637: Debug (ieee1394service.cpp)[1225] addBusResetHandler: Adding busreset handler (0x9b64498) 00510896650: Debug (devicemanager.cpp)[ 358] discover: Starting discovery... 00510896673: Debug (Element.cpp)[ 129] setVerboseLevel: Setting verbose level to 6... 00510896686: Debug (StreamProcessorManager?.cpp)[1569] setVerboseLevel: Setting verbose level to 6... 00510896701: Debug (Thread.h)[ 124] setVerboseLevel: (ISOXMT) Setting verbose level to 6... 00510896710: Debug (IsoHandlerManager?.cpp)[ 445] setVerboseLevel: Setting verbose level to 6... 00510896716: Debug (Thread.h)[ 124] setVerboseLevel: (ISORCV) Setting verbose level to 6... 00510896724: Debug (IsoHandlerManager?.cpp)[ 445] setVerboseLevel: Setting verbose level to 6... 00510896730: Debug (IsoHandlerManager?.cpp)[1143] setVerboseLevel: Setting verbose level to 6... 00510896739: Debug (ieee1394service.cpp)[1567] setVerboseLevel: Setting verbose level to 6... 00510896746: Debug (devicemanager.cpp)[1260] setVerboseLevel: Setting verbose level to 6... 00510896760: Debug (devicemanager.cpp)[ 385] discover: Probing node 0... 00510916596: Debug (ieee1394service.cpp)[ 569] readNoLock: raw1394_read failed: node 0xFFC0, addr = 0x0000FFFFF0000480, length = 16 00510918860: Debug (ieee1394service.cpp)[ 569] readNoLock: raw1394_read failed: node 0xFFC0, addr = 0x0000FFFFF0000480, length = 16 00510921109: Debug (ieee1394service.cpp)[ 569] readNoLock: raw1394_read failed: node 0xFFC0, addr = 0x0000FFFFF0000480, length = 16 00510923362: Debug (ieee1394service.cpp)[ 569] readNoLock: raw1394_read failed: node 0xFFC0, addr = 0x0000FFFFF0000480, length = 16 00510925617: Debug (ieee1394service.cpp)[ 569] readNoLock: raw1394_read failed: node 0xFFC0, addr = 0x0000FFFFF0000480, length = 16 00510932196: Debug (devicemanager.cpp)[ 385] discover: Probing node 1... 00510932210: Debug (devicemanager.cpp)[ 388] discover: Skipping local node (1)... 00510932232: Debug (DeviceStringParser?.cpp)[ 391] show: DeviceStringParser?: 0x9b3e968 00510932241: Debug (DeviceStringParser?.cpp)[ 218] show: string: hw:0 00510932247: Debug (DeviceStringParser?.cpp)[ 221] show: type: eBusNode 00510932253: Debug (DeviceStringParser?.cpp)[ 223] show: Port: 0, Node: -1 00510932266: Debug (devicemanager.cpp)[ 560] discover: Probing node 0... 00510952174: Debug (ieee1394service.cpp)[ 569] readNoLock: raw1394_read failed: node 0xFFC0, addr = 0x0000FFFFF0000480, length = 16 00510954436: Debug (ieee1394service.cpp)[ 569] readNoLock: raw1394_read failed: node 0xFFC0, addr = 0x0000FFFFF0000480, length = 16 00510956696: Debug (ieee1394service.cpp)[ 569] readNoLock: raw1394_read failed: node 0xFFC0, addr = 0x0000FFFFF0000480, length = 16 00510958951: Debug (ieee1394service.cpp)[ 569] readNoLock: raw1394_read failed: node 0xFFC0, addr = 0x0000FFFFF0000480, length = 16 00510961202: Debug (ieee1394service.cpp)[ 569] readNoLock: raw1394_read failed: node 0xFFC0, addr = 0x0000FFFFF0000480, length = 16 00510971390: Debug (configrom.cpp)[ 562] printConfigRomDebug: Config ROM 00510971408: Debug (configrom.cpp)[ 563] printConfigRomDebug: Current Node Id: 0 00510971415: Debug (configrom.cpp)[ 564] printConfigRomDebug: GUID: 0x00016604084002B3 00510971423: Debug (configrom.cpp)[ 565] printConfigRomDebug: Vendor Name: TC Electronic 00510971429: Debug (configrom.cpp)[ 566] printConfigRomDebug: Model Name: Konnekt8 00510971436: Debug (configrom.cpp)[ 567] printConfigRomDebug: Node Vendor ID: 0x000166 00510971442: Debug (configrom.cpp)[ 568] printConfigRomDebug: Model Id: 0x00000021 00510971448: Debug (configrom.cpp)[ 569] printConfigRomDebug: Unit Specifier ID: 0x000166 00510971454: Debug (configrom.cpp)[ 570] printConfigRomDebug: Unit version: 0x00000001 00510971460: Debug (configrom.cpp)[ 571] printConfigRomDebug: ISO resource manager: 1 00510971466: Debug (configrom.cpp)[ 572] printConfigRomDebug: Cycle master capable: 1 00510971472: Debug (configrom.cpp)[ 573] printConfigRomDebug: Bus manager capable: 0 00510971478: Debug (configrom.cpp)[ 574] printConfigRomDebug: Cycle clock accuracy: 255 00510971485: Debug (configrom.cpp)[ 576] printConfigRomDebug: Max rec: 8 (max asy payload: 512 bytes) 00510971499: Debug (DeviceStringParser?.cpp)[ 162] match: match 0x9b644d8 (00016604084002b3) 00510971507: Debug (DeviceStringParser?.cpp)[ 175] match: (eBusNode) device matches device string hw:0 00510971514: Debug (devicemanager.cpp)[1109] getDriverForDevice: Probing for supported device... 00510971520: Debug (devicemanager.cpp)[1032] getDriverForDeviceDo: Trying BeBoB... 00510971578: Debug (Configuration.cpp)[ 394] getDeviceSetting: temporary has no device definitions 00510971646: Debug (Configuration.cpp)[ 385] getDeviceSetting: device VME for 166:21 found in /usr/share/libffado/configuration 00510971656: Debug (Configuration.cpp)[ 163] showSetting: Group: (null) 00510971667: Debug (Configuration.cpp)[ 185] showSetting: vendorid = 358 (0x00000166) 00510971674: Debug (Configuration.cpp)[ 185] showSetting: modelid = 33 (0x00000021) 00510971683: Debug (Configuration.cpp)[ 209] showSetting: vendorname = TC Electronic 00510971691: Debug (Configuration.cpp)[ 209] showSetting: modelname = Konnekt 8 00510971698: Debug (Configuration.cpp)[ 185] showSetting: driver = 20 (0x00000014) 00510971711: Debug (devicemanager.cpp)[1039] getDriverForDeviceDo: Trying ECHO Audio FireWorks?... 00510971740: Debug (Configuration.cpp)[ 394] getDeviceSetting: temporary has no device definitions 00510971781: Debug (Configuration.cpp)[ 385] getDeviceSetting: device VME for 166:21 found in /usr/share/libffado/configuration 00510971790: Debug (Configuration.cpp)[ 163] showSetting: Group: (null) 00510971797: Debug (Configuration.cpp)[ 185] showSetting: vendorid = 358 (0x00000166) 00510971807: Debug (Configuration.cpp)[ 185] showSetting: modelid = 33 (0x00000021) 00510971815: Debug (Configuration.cpp)[ 209] showSetting: vendorname = TC Electronic 00510971825: Debug (Configuration.cpp)[ 209] showSetting: modelname = Konnekt 8 00510971832: Debug (Configuration.cpp)[ 185] showSetting: driver = 20 (0x00000014) 00510971845: Debug (devicemanager.cpp)[1046] getDriverForDeviceDo: Trying Oxford FW90x... 00510971872: Debug (Configuration.cpp)[ 394] getDeviceSetting: temporary has no device definitions 00510971912: Debug (Configuration.cpp)[ 385] getDeviceSetting: device VME for 166:21 found in /usr/share/libffado/configuration 00510971921: Debug (Configuration.cpp)[ 163] showSetting: Group: (null) 00510971929: Debug (Configuration.cpp)[ 185] showSetting: vendorid = 358 (0x00000166) 00510971939: Debug (Configuration.cpp)[ 185] showSetting: modelid = 33 (0x00000021) 00510971947: Debug (Configuration.cpp)[ 209] showSetting: vendorname = TC Electronic 00510971956: Debug (Configuration.cpp)[ 209] showSetting: modelname = Konnekt 8 00510971963: Debug (Configuration.cpp)[ 185] showSetting: driver = 20 (0x00000014) 00510971977: Debug (devicemanager.cpp)[1061] getDriverForDeviceDo: Trying Generic AV/C... 00510972004: Debug (Configuration.cpp)[ 394] getDeviceSetting: temporary has no device definitions 00510972044: Debug (Configuration.cpp)[ 385] getDeviceSetting: device VME for 166:21 found in /usr/share/libffado/configuration 00510972051: Debug (Configuration.cpp)[ 163] showSetting: Group: (null) 00510972058: Debug (Configuration.cpp)[ 185] showSetting: vendorid = 358 (0x00000166) 00510972065: Debug (Configuration.cpp)[ 185] showSetting: modelid = 33 (0x00000021) 00510972073: Debug (Configuration.cpp)[ 209] showSetting: vendorname = TC Electronic 00510972080: Debug (Configuration.cpp)[ 209] showSetting: modelname = Konnekt 8 00510972087: Debug (Configuration.cpp)[ 185] showSetting: driver = 20 (0x00000014) 00510972098: Debug (devicemanager.cpp)[1068] getDriverForDeviceDo: Trying Motu... 00510972105: Debug (devicemanager.cpp)[1075] getDriverForDeviceDo: Trying Dice... 00510972129: Debug (Configuration.cpp)[ 394] getDeviceSetting: temporary has no device definitions 00510972166: Debug (Configuration.cpp)[ 385] getDeviceSetting: device VME for 166:21 found in /usr/share/libffado/configuration 00510972173: Debug (Configuration.cpp)[ 163] showSetting: Group: (null) 00510972180: Debug (Configuration.cpp)[ 185] showSetting: vendorid = 358 (0x00000166) 00510972187: Debug (Configuration.cpp)[ 185] showSetting: modelid = 33 (0x00000021) 00510972194: Debug (Configuration.cpp)[ 209] showSetting: vendorname = TC Electronic 00510972202: Debug (Configuration.cpp)[ 209] showSetting: modelname = Konnekt 8 00510972209: Debug (Configuration.cpp)[ 185] showSetting: driver = 20 (0x00000014) 00510972269: Debug (Element.cpp)[ 253] addElement: Adding Element ConfigRom? to 00016604084002b3 00510972292: Debug (Element.cpp)[ 253] addElement: Adding Element Generic to 00016604084002b3 00510972307: Debug (Element.cpp)[ 253] addElement: Adding Element ClockSelect? to Generic 00510972319: Debug (Element.cpp)[ 253] addElement: Adding Element SamplerateSelect? to Generic 00510972330: Debug (Element.cpp)[ 253] addElement: Adding Element Nickname to Generic 00510972342: Debug (Element.cpp)[ 253] addElement: Adding Element StreamingStatus? to Generic 00510972357: Debug (devicemanager.cpp)[1112] getDriverForDevice: found supported device... 00510972365: Debug (Element.cpp)[ 129] setVerboseLevel: Setting verbose level to 6... 00510972371: Debug (devicemanager.cpp)[ 620] discover: driver found for device 0 00510972377: Debug (ffadodevice.cpp)[ 216] setVerboseLevel: Setting verbose level to 6... 00510972384: Debug (Element.cpp)[ 129] setVerboseLevel: Setting verbose level to 6... 00510972410: Debug (Configuration.cpp)[ 394] getDeviceSetting: temporary has no device definitions 00510972451: Debug (Configuration.cpp)[ 385] getDeviceSetting: device VME for 166:21 found in /usr/share/libffado/configuration 00510972460: Debug (Configuration.cpp)[ 163] showSetting: Group: (null) 00510972468: Debug (Configuration.cpp)[ 185] showSetting: vendorid = 358 (0x00000166) 00510972478: Debug (Configuration.cpp)[ 185] showSetting: modelid = 33 (0x00000021) 00510972485: Debug (Configuration.cpp)[ 209] showSetting: vendorname = TC Electronic 00510972495: Debug (Configuration.cpp)[ 209] showSetting: modelname = Konnekt 8 00510972503: Debug (Configuration.cpp)[ 185] showSetting: driver = 20 (0x00000014) 00510972516: Debug (dice_avdevice.cpp)[ 153] discover: found TC Electronic Konnekt 8 00510991282: Debug (dice_avdevice.cpp)[1708] initIoFunctions: DICE Parameter Space info: 00510991304: Debug (dice_avdevice.cpp)[1709] initIoFunctions: Global : offset=0028 size=0360 00510991312: Debug (dice_avdevice.cpp)[1710] initIoFunctions: TX : offset=0190 size=0568 00510991318: Debug (dice_avdevice.cpp)[1711] initIoFunctions: nb= 1 size=0280 00510991325: Debug (dice_avdevice.cpp)[1712] initIoFunctions: RX : offset=03C8 size=1128 00510991331: Debug (dice_avdevice.cpp)[1713] initIoFunctions: nb= 1 size=0280 00510991341: Debug (dice_avdevice.cpp)[1714] initIoFunctions: UNUSED1 : offset=0830 size=0016 00510991347: Debug (dice_avdevice.cpp)[1715] initIoFunctions: UNUSED2 : offset=0000 size=0000 00511002150: Debug (ieee1394service.cpp)[ 569] readNoLock: raw1394_read failed: node 0xFFC0, addr = 0x0000FFFFE0200000, length = 1 00511002179: Error (dice_avdevice.cpp)[1733] readReg: Could not read from node 0xFFC0 addr 0xFFFFE0200000 00511002187: Debug (dice_eap.cpp)[ 778] supportsEAP: Could not read from DICE EAP base address 00511002194: Error (dice_eap.cpp)[ 110] init: Device does not support EAP00511002201: Error (dice_avdevice.cpp)[ 170] discover: Could not init EAP 00511002231: Error (devicemanager.cpp)[ 632] discover: could not discover device 00511002255: Debug (Element.cpp)[ 279] deleteElementNoLock: Deleting Element ConfigRom? from 00016604084002b3 00511002271: Debug (Element.cpp)[ 279] deleteElementNoLock: Deleting Element Generic from 00016604084002b3 00511002281: Debug (Element.cpp)[ 279] deleteElementNoLock: Deleting Element ClockSelect? from Generic 00511002293: Debug (Element.cpp)[ 279] deleteElementNoLock: Deleting Element SamplerateSelect? from Generic 00511002303: Debug (Element.cpp)[ 279] deleteElementNoLock: Deleting Element Nickname from Generic 00511002311: Debug (Element.cpp)[ 279] deleteElementNoLock: Deleting Element StreamingStatus? from Generic 00511002331: Debug (devicemanager.cpp)[ 560] discover: Probing node 1... 00511002341: Debug (devicemanager.cpp)[ 563] discover: Skipping local node (1)... 00511002349: Debug (devicemanager.cpp)[ 665] discover: Discovery finished... 00511002379: Debug (devicemanager.cpp)[1265] showDeviceInfo: ===== Device Manager ===== 00511002389: Debug (Element.cpp)[ 121] show: Element DeviceManager? 00511002396: Debug (devicemanager.cpp)[1273] showDeviceInfo: --- IEEE1394 Service 0 --- 00511002411: Debug (ieee1394service.cpp)[1582] show: Port: 0 00511002419: Debug (ieee1394service.cpp)[1583] show: Name: ohci1394 00511002426: Debug (ieee1394service.cpp)[1585] show: CycleTimerHelper?: 0x9b3eca8, IsoManager?: 0x9b3ec68, WatchDog?: 0x9b61820 00511002435: Debug (ieee1394service.cpp)[1590] show: Time: 03079364948 (125s 2397cy 1364ticks) Iso handler info: Dumping IsoHandlerManager? Stream handler information...

State: 2

00511002458: Fatal (ffado.cpp)[ 174] ffado_streaming_init: There are no devices on the bus 00511002469: Debug (Configuration.cpp)[ 138] save: Not saving temporary config file: temporary 00511002476: Debug (Configuration.cpp)[ 135] save: Not saving readonly config file: /usr/share/libffado/configuration 00511002493: Debug (IsoHandlerManager?.cpp)[1080] stopHandlers: enter... 00511002503: Debug (IsoHandlerManager?.cpp)[ 936] pruneHandlers: enter... 00511002512: Debug (PosixThread?.cpp)[ 190] Stop: (ISOXMT) Stop 0x9b64180 (thread: 0xb2abbb70) 00511008847: Debug (PosixThread?.cpp)[ 90] ThreadHandler?: (ISOXMT) ThreadHandler?: exit 0x9b64180 00511008888: Debug (PosixThread?.cpp)[ 197] Stop: (ISOXMT) Stopped 0x9b64180 (thread: (nil)) 00511008901: Debug (PosixThread?.cpp)[ 190] Stop: (ISORCV) Stop 0x9b642f0 (thread: 0xb22bab70) 00511016813: Debug (PosixThread?.cpp)[ 90] ThreadHandler?: (ISORCV) ThreadHandler?: exit 0x9b642f0 00511016846: Debug (PosixThread?.cpp)[ 197] Stop: (ISORCV) Stopped 0x9b642f0 (thread: (nil)) 00511016865: Debug (PosixThread?.cpp)[ 190] Stop: (CTRHLP) Stop 0x9b63f00 (thread: 0xb32bcb70) 00511079963: Debug (PosixThread?.cpp)[ 90] ThreadHandler?: (CTRHLP) ThreadHandler?: exit 0x9b63f00 00511080016: Debug (PosixThread?.cpp)[ 197] Stop: (CTRHLP) Stopped 0x9b63f00 (thread: (nil)) 00511080032: Debug (ieee1394service.cpp)[1233] remBusResetHandler: Removing busreset handler (0x9b63fe8) 00511080041: Debug (ieee1394service.cpp)[1240] remBusResetHandler: found 00511080062: Debug (PosixThread?.cpp)[ 190] Stop: (BUSRST) Stop 0x9b63b28 (thread: 0xb4abfb70) 00511080078: Debug (PosixThread?.cpp)[ 90] ThreadHandler?: (BUSRST) ThreadHandler?: exit 0x9b63b28 00511080096: Debug (PosixThread?.cpp)[ 197] Stop: (BUSRST) Stopped 0x9b63b28 (thread: (nil)) 00511080109: Debug (PosixThread?.cpp)[ 190] Stop: (ARMSTD) Stop 0x9b63bb0 (thread: 0xb42beb70) 00511080121: Debug (PosixThread?.cpp)[ 90] ThreadHandler?: (ARMSTD) ThreadHandler?: exit 0x9b63bb0 00511082827: Debug (PosixThread?.cpp)[ 197] Stop: (ARMSTD) Stopped 0x9b63bb0 (thread: (nil)) 00511082858: Debug (PosixThread?.cpp)[ 190] Stop: (ARMRT) Stop 0x9b63c48 (thread: 0xb3abdb70) 00511083904: Debug (PosixThread?.cpp)[ 90] ThreadHandler?: (ARMRT) ThreadHandler?: exit 0x9b63c48 00511086537: Debug (PosixThread?.cpp)[ 197] Stop: (ARMRT) Stopped 0x9b63c48 (thread: (nil)) 00511086555: Debug (PosixThread?.cpp)[ 174] Kill: (WDGCHK) Kill 0x9b618f8 (thread: 0xb52c0b70) 00511089249: Debug (PosixThread?.cpp)[ 180] Kill: (WDGCHK) Killed 0x9b618f8 (thread: 0xb52c0b70) 00511089267: Debug (PosixThread?.cpp)[ 174] Kill: (WDGHBT) Kill 0x9b61870 (thread: 0xb5ac1b70) 00511091972: Debug (PosixThread?.cpp)[ 180] Kill: (WDGHBT) Killed 0x9b61870 (thread: 0xb5ac1b70) firewire ERR: Error creating FFADO streaming device cannot load driver module firewire no message buffer overruns

ffado-dbus-server give these errors: 00562168050: Error (dice_avdevice.cpp)[1733] readReg: Could not read from node 0xFFC0 addr 0xFFFFE0200000 00562168089: Error (dice_eap.cpp)[ 110] init: Device does not support EAP00562168103: Error (dice_avdevice.cpp)[ 170] discover: Could not init EAP 00562168160: Error (devicemanager.cpp)[ 632] discover: could not discover device

any advice?

01/06/10 09:17:29 changed by ppalmers

  • status changed from reopened to closed.
  • resolution set to fixed.

should be fixed in r1787

01/06/10 10:42:55 changed by fuxter

wow, tasty! now it works! although it gives me the same error messages about AEP the audio device is up and running.

thanks a lot! you guys are awesome! really thank you!